// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/CSS.subproj/OWCSSSelector.h,v 1.4 2000/08/26 04:09:12 bungi Exp $


#import <OmniFoundation/OFObject.h>

@class NSString;
@class OWSGMLTag, OWCSSSelector;

@interface OWCSSSelector : OFObject
{
    NSString *tagName;
    NSString *className;
    NSString *IDName;
    NSString *pseudoClassName;
}

-(void)setTagName:(NSString *)newName;
-(void)setClassName:(NSString *)newName;
-(void)setIDName:(NSString *)newName;
-(void)setPseudoClassName:(NSString *)newName;

-(NSString *)tagName;
-(NSString *)className;
-(NSString *)IDName;
-(NSString *)pseudoClassName;

-(BOOL)isEqual:(OWCSSSelector *)selector;
-(BOOL)matchesTag:(OWSGMLTag *)tag;

@end
